<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head lang="en">

    <title>Post</title>

</head>
<body>
<div class="container">

    <h2>Product Details</h2>
    <div>
        <form class="form-horizontal" th:object="${post}" th:action="@{/post}" method="post">
            <input type="hidden" th:field="*{id}"/>
            <div class="form-group">
                <label class="col-sm-2 control-label">Titulo:</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" th:field="*{title}"/>
                    <span style="color: red;" th:if="${#fields.hasErrors('title')}" th:errors="*{title}">Errors</span>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 control-label">Categoria:</label>
                <div class="col-sm-10">
                    <select th:field="*{category}">
                        <option th:each="category : ${categories}"
                                th:value="${category.id}"
                                th:text="${category.name}"></option>
                    </select>
                </div>
            </div>

            <div class="form-group">
                <label class="col-sm-2 control-label">Date:</label>
                <div class="col-sm-10">
                    <input type="date" th:field="*{date}"/>
                </div>
            </div>

            <div class="form-group">
                <label class="col-sm-2 control-label">Usuario:</label>
                <div class="col-sm-10">
                    <select th:field="*{user}">
                        <option th:each="user : ${users}"
                                th:value="${user.id}"
                                th:text="${user.name}"></option>
                    </select>
                </div>
            </div>


            <div class="form-group">
                <label class="col-sm-2 control-label">Texto:</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" th:field="*{text}"/>
                    <span style="color: red;" th:if="${#fields.hasErrors('text')}" th:errors="*{text}">Errors</span>
                </div>
            </div>
            <div class="row">
                <button type="submit" class="btn btn-default">Guardar</button>
            </div>
        </form>
    </div>
</div>

</body>
</html>